Change Updates

Do not miss any v1 API changes, ever again

Subscribe to the v1 API changelog to be up to date on recent changes.

RSS

about 2 hours ago

main
0.49.0
Compare
0.49.0

API structure has changed

Next change
7 structure changes including:
4 Additions
3 Modifications
Modified 3 Breaking
DELETE /customers/{customerId}
  • Path went from /customers/{id} to /customers/{customerId} (same operationId)
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • customerId path parameter Added
GET /customers/{customerId}
  • Path went from /customers/{id} to /customers/{customerId} (same operationId)
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • customerId path parameter Added
PATCH /customers/{customerId}
  • Path went from /customers/{id} to /customers/{customerId} (same operationId)
  • Path
  • id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • customerId path parameter Added
Added 4
GET /customers/{customerId}/bankaccounts
GET /customers/{customerId}/bankaccounts/{accountNumber}
PATCH /customers/{customerId}/bankaccounts/{accountNumber}
POST /customers/{customerId}/bankaccounts